set linesize 1000
set pagesize 1000
set echo on
set termout on
set trimspool on
spool unnestps.log

truncate table plan_table;

alter session set "_unnest_subquery"=TRUE;

explain plan into plan_table for 
  SELECT /*reparse 1 */  *
    FROM   PS_JOB D
   WHERE   D.EMPLID = 'NOTREAL'
           AND D.EMPL_RCD = 0
           AND D.EFFDT =
                 (SELECT   MAX (J.EFFDT)
                    FROM   PS_JOB J
                   WHERE       J.EMPLID = D.EMPLID
                           AND J.EMPL_RCD = D.EMPL_RCD
                           AND J.EFFDT <= sysdate)
           AND D.EFFSEQ =
                 (SELECT   MAX (K.EFFSEQ)
                    FROM   PS_JOB K
                   WHERE       K.EMPLID = D.EMPLID
                           AND K.EMPL_RCD = D.EMPL_RCD
                           AND K.EFFDT = D.EFFDT)
/

set markup html preformat on

select * from table(dbms_xplan.display('PLAN_TABLE',NULL,'ALL'));

truncate table plan_table;

alter session set "_unnest_subquery"=FALSE;

explain plan into plan_table for 
  SELECT /*reparse 2 */  *
    FROM   PS_JOB D
   WHERE   D.EMPLID = 'NOTREAL'
           AND D.EMPL_RCD = 0
           AND D.EFFDT =
                 (SELECT   MAX (J.EFFDT)
                    FROM   PS_JOB J
                   WHERE       J.EMPLID = D.EMPLID
                           AND J.EMPL_RCD = D.EMPL_RCD
                           AND J.EFFDT <= sysdate)
           AND D.EFFSEQ =
                 (SELECT   MAX (K.EFFSEQ)
                    FROM   PS_JOB K
                   WHERE       K.EMPLID = D.EMPLID
                           AND K.EMPL_RCD = D.EMPL_RCD
                           AND K.EFFDT = D.EFFDT)
/

set markup html preformat on

select * from table(dbms_xplan.display('PLAN_TABLE',NULL,'ALL'));

spool off
